# enums cant start by a number, reason of W1099
enum WorkforceEmploymentType {
  W2
  W1099
  TEMPORARY
  CONTRACT
}

type Workforce @table(name: "workforce") {
  id: UUID! @default(expr: "uuidV4()")
  workforceNumber: String!
  vendorId: UUID!                       # vendor_id (FK lógica a Vendor.id)
  firstName: String!
  lastName: String!
  employmentType: WorkforceEmploymentType # employment_type
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}
